Bug 173277 - Compile on Save does not work with Lombok
Compile on Save does not work with Lombok
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Project
5.x
All All
: P3 (vote)
: 6.x
Assigned To: Tomas Zezula
issues@java
:
Depends on:
Blocks: 173063
  Show dependency treegraph
 
Reported: 2009-09-29 14:50 UTC by Petr Jiricka
Modified: 2011-04-20 15:19 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2009-09-29 14:50:49 UTC
Same steps as in issue 173275.

When Compile on Save is on, after running the project, I get the following error in the Ant output (before this, a
warning dialog about about errors during compilation is shown):

run:
Exception in thread "main" java.lang.RuntimeException: Uncompilable source code
        at lomboksimple.Main.main(Main.java:21)
Java Result: 1
BUILD SUCCESSFUL (total time: 2 seconds)
Comment 1 alexismp 2009-11-23 14:07:52 UTC
cc
Comment 2 Tomas Zezula 2011-04-20 15:19:59 UTC
Fixed by AP support.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo